API reference
List message templates
template_list — Saved message templates (DM, reply, quote, post) with their variables and revision.
template_list · Reads saved data
Saved message templates (DM, reply, quote, post) with their variables and revision. Templates are the customer's own words, sent word for word after {{name}} / {{first_name}} / {{handle}} are filled.
| REST | GET /api/public/v1/templates |
| MCP tool | template_list |
| Permission needed | view — Owner, Manager, Operator, Viewer |
| Scope group | automation:read |
| Group | Campaigns |
| Shown up front in profiles | Automation |
Input
| Field | Type | Required | Description |
|---|---|---|---|
kind |
dm · reply · quote · post |
No |
Result
Returned in the { data, meta } envelope, without creating a job on X. Lists include next_cursor and has_more.
Example
Call over REST
curl -X GET "https://reach-link-craft.lovable.app/api/public/v1/templates" \
-H "Authorization: Bearer $XBUDDY_API_KEY"
Call over MCP
{
"method": "tools/call",
"params": {
"name": "template_list",
"arguments": {}
}
}
Errors you may get
| Code | HTTP | Retryable |
|---|---|---|
unauthorized |
401 | No |
key_expired |
401 | No |
integration_revoked |
401 | No |
connection_not_linked |
403 | No |
integration_paused |
403 | No |
workspace_integrations_paused |
403 | No |
integration_authorization_lost |
403 | No |
workspace_suspended |
403 | No |
forbidden |
403 | No |
invalid_input |
422 | No |
rate_limited |
429 | Yes |
internal |
500 | Yes |